Bug 70877 - non-ascii chars in To:-field doesn't work with utf-8 locale
non-ascii chars in To:-field doesn't work with utf-8 locale
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
Reported: 2002-08-06 09:35 EDT by Daniel Resare
Modified: 2007-04-18 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-29 16:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
picture of the not-so-nice glyph (3.55 KB, image/png)
2002-08-06 09:37 EDT, Daniel Resare
no flags Details

  None (edit)
Description Daniel Resare 2002-08-06 09:35:44 EDT
Description of Problem:

When I enter swedish character e (a-ring) or any other non-ascii char in the
To:, or Cc:-field in the mail composition view it gets represented as two glyps,
one box and one underscore. When i enter more chars (this time ascii, the broken
representation of the swedsh char is removed (the box is emptied)

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Start evolution
2. Select 'New message'
3. Enter a non-ascii char in the 'To:'-field (or cc:)

Actual Results:
<empty boxy>_ is written

Expected Results:
the entered non-ascii char

Additional Information:
Entering non-ascii in subject and message field works prerfectly. changing LANG
to "C" makes this proplem disappear
Comment 1 Daniel Resare 2002-08-06 09:37:27 EDT
Created attachment 69086 [details]
picture of the not-so-nice glyph
Comment 2 Jeremy Katz 2003-06-29 16:38:39 EDT
1.4.x in rawhide handles this properly

Note You need to log in before you can comment on or make changes to this bug.